{"openapi":"3.0.0","info":{"title":"Converis Web Services","description":"This API Specification describes how to read data from Converis in order to use it in other systems. Additionally, you can create, update, or delete users and its roles through the API calls. \n\n## Access and Credentials \nThis API reference is organized by resource type Data, Configuration and Administration. Each resource type has one or more endpoints. \n\nTo use these endpoints, an API authentication token needs to be issued by the Converis administrator from the configuration screen (Configuration --> API Authentication Info). \nThe table below specifies which type of endpoints require which ___type of service___ permission for the  Converis API authentication.\n\n| Type of endpoint | Type of service permission |\n| ---------------- | -------------------------- |\n| Data             | CONVERIS_DATA_SERVICE      |\n| Administration   | CONVERIS_ADMIN_SERVICE     |\n| Configuration    | CONVERIS_CONFIG_SERVICE    | \nThe generated API authentication token must then be provided per basic authentication with each request to the API (username = app name and password = generated token). \n\nThe URL needs to be adapted to the Converis instance’s specific domain. \n\nThe URL of API has the following pattern ___https://{host}:{port}/converis-apis/ws/v2/___ where *{host}* is the IP or the Hostname of your Converis installation. *{port}* must be provided only if it differs from 443. \n\n## Limits and Security\n- The API allows max. 10 requests per second.\n- All requests are secured through https (secure, TLS 1.2).\n","contact":{"email":"converis-info@clarivate.com"},"version":"2.0"},"servers":[{"url":"https://api.clarivate.com/converisreadapi"}],"tags":[{"name":"Data - Entity","description":"Get the entity data"},{"name":"Data - Link entity","description":"Get the links between entity data"},{"name":"Data - File","description":"Download files"},{"name":"Data - Tree","description":"Get the links between entity data"},{"name":"Administration - User data","description":"Perform User operations"},{"name":"Administration - User Delegations","description":"Perform User Delegation operations"},{"name":"Configuration - Entity definitions","description":"Get the configured entity definitions"},{"name":"Configuration - Link entity definitions","description":"Get the configured entity definitions"}],"paths":{"/admin/users/delegation":{"post":{"tags":["Administration - User Delegations"],"summary":"Create a User Delegation.","description":"Create a User Delegation.\n","requestBody":{"description":"Details of the Delegation to be created","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDelegation"},"example":{"fromUser":{"userName":"fromUserName"},"toUser":{"userName":"toUserName"},"role":{"roleName":"Researcher","entryPointId":123124},"validity":{"startDate":"2022-10-10","endDate":"2022-10-12"}}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation","status":201,"statusDescription":"Created","message":"Delegation successfully created."}}}},"400":{"description":"This response is returned in case of errors with request data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation","status":400,"statusDescription":"Bad Request","message":"Error message."}}}},"401":{"description":"Request is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation","status":401,"statusDescription":"Unauthorized","message":"Full authentication is required to access this resource"}}}}},"security":[{"BasicAuth":[]}]},"put":{"tags":["Administration - User Delegations"],"summary":"Update a User Delegation.","description":"Update a User Delegation.\n","requestBody":{"description":"Update allowed to the date fields only.\n\nId of the delegation to be passed.\n\nValidity is a mandatory field.\n\nIf start date is not passed, it is considered as starting from today.\n\nIf end date is not passed, it is stored as null.\n\nPlease pass the same old value if the date value has not changed.\n","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDelegation"},"example":{"delegationId":1234,"validity":{"startDate":"2022-10-10","endDate":"2022-10-12"}}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation","status":200,"statusDescription":"Ok","message":"Delegation successfully updated."}}}},"400":{"description":"This response is returned in case of errors with request data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation","status":400,"statusDescription":"Bad Request","message":"Error message."}}}},"401":{"description":"Request is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation","status":401,"statusDescription":"Unauthorized","message":"Full authentication is required to access this resource"}}}}},"security":[{"BasicAuth":[]}]},"get":{"tags":["Administration - User Delegations"],"summary":"Fetch User Delegations","description":"Get user delegations based on the input criteria.\n\nThe different combinations of input query parameters are as below. Any other input parameter combinations are not allowed.\n- delegationId fetches only that specific delegation.\n\n- fromUserName fetches delegations from this username.\n\n- fromUserName, entryPointId, roleName combination fetches delegations of this role and entrypoint by user fromUserName.\n\n- startDate fetches delegations that start on this date.\n\n- endDate fetches delegations that end on this date.\n\n- searchFromUser fetch the delegations where the username/firstname/lastname of the from user contains this string.\n  Maximum 2 search words are possible.\n- searchToUser fetch the delegations where the username/firstname/lastname of the to user contains this string.\n  Maximum 2 search words are possible.\n- startRecord and count fetch count number of delegations starting from the position of startRecord.\n  This can be combined with any other valid combination.\n- No query parameters, fetch all the delegations.\n","parameters":[{"name":"delegationId","in":"query","description":"Fetch only this delegation.\n\nThis parameter can be used only with startRecord and count\n","required":false,"style":"form","schema":{"type":"integer","example":123,"format":"int64"}},{"name":"fromUserName","in":"query","description":"Fetch delegations from the user whose loginname is fromUserName.\n\nIf parameters roleName and entryPointId are also passed, fetch delegations of role roleName with entrypoint entryPointId from the user fromUserName.\n\nThis parameter can be used with startRecord and count.\n\nIf provided, roleName and entryPointId both have to be provided.\n","required":false,"style":"form","schema":{"type":"string","example":"userLoginName"}},{"name":"entryPointId","in":"query","description":"Used in combination with fromUserName and roleName.\n\nFetch delegations of roleName and entryPointId by fromUserName.\n\nThis parameter can be used with startRecord and count.\n\nfromUserName and roleName are mandatory to be provided with this parameter.\n","required":false,"style":"form","schema":{"type":"integer","example":2345,"format":"int64"}},{"name":"roleName","in":"query","description":"Used in combination with fromUserName and entryPointId.\n\nFetch delegations of roleName and entryPointId by fromUserName.\n\nThis parameter can be used with startRecord and count.\n\nfromUserName and entryPointId are mandatory to be provided with this parameter.\n","required":false,"style":"form","schema":{"type":"string","example":"researcher"}},{"name":"startDate","in":"query","description":"Fetch delegations that start on this date.\n\nIn the format yyyy-MM-dd\n\nThis parameter can be used only with startRecord and count.\n","required":false,"style":"form","schema":{"type":"string","example":"2022-12-11T00:00:00.000Z","format":"date"}},{"name":"endDate","in":"query","description":"Fetch delegations that end on this date.\n\nIn the format yyyy-MM-dd\n\nThis parameter can be used only with startRecord and count.\n","required":false,"style":"form","schema":{"type":"string","example":"2022-12-13T00:00:00.000Z","format":"date"}},{"name":"startRecord","in":"query","description":"Starting record.\n\nDefaults to 1, the first record.\n","required":false,"style":"form","schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"Number of records to return.\n","required":false,"style":"form","schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"searchFromUser","in":"query","description":"Delegations where from user's login/first/last name contains this text are returned.\n\nA maximum of 2 search words are possible together and they are seperated by a space.\n\nThis parameter can be used only with startRecord and count.\n","required":false,"style":"form","schema":{"type":"string","example":"from"}},{"name":"searchToUser","in":"query","description":"Delegations where to user's login/first/last name contains this text are returned.\n\nA maximum of 2 search words are possible together and they are seperated by a space.\n\nThis parameter can be used only with startRecord and count.\n","required":false,"style":"form","schema":{"type":"string","example":"to"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDelegationList"}}}},"400":{"description":"This response is returned in case of errors with request data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation","status":400,"statusDescription":"Bad Request","message":"Error message."}}}},"401":{"description":"Request is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation","status":401,"statusDescription":"Unauthorized","message":"Full authentication is required to access this resource"}}}}},"security":[{"BasicAuth":[]}]}},"/admin/users/delegation{delegation_id}":{"delete":{"tags":["Administration - User Delegations"],"summary":"Delete a User Delegation.","description":"Delete a User Delegation.\n\nId of the delegation to be passed.\n\nID should be valid.\n","parameters":[{"name":"delegation_id","in":"path","description":"Id of the delegation to be deleted","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation/{delegation_id}","status":200,"statusDescription":"Ok","message":"Delegation successfully Deleted."}}}},"400":{"description":"This response is returned in case of errors with request data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation/{delegation_id}","status":400,"statusDescription":"Bad Request","message":"Error message."}}}},"401":{"description":"Request is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/delegation/{delegation_id}","status":401,"statusDescription":"Unauthorized","message":"Full authentication is required to access this resource"}}}}},"security":[{"BasicAuth":[]}]}},"/admin/users":{"get":{"tags":["Administration - User data"],"summary":"Get all users","description":"Get all users of your Converis or users with only specific ___role___\n","parameters":[{"name":"role","in":"query","description":"Filter users only with specific role. Select all roles if null.","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"Researcher"}},{"name":"type","in":"query","description":"Filter users based on their type:\n * ___INTERNAL___ - Converis users that login directly in Converis\n * ___EXTERNAL___ - Login server users that login in Converis through SSO, e.g. Shibboleth\n * ___ALL___ - No filter, i.e. the response contains internal and external users.\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"ALL","enum":["INTERNAL","EXTERNAL","ALL"]}},{"name":"startRecord","in":"query","description":"Starting record.","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"Number of records to return.","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]},"post":{"tags":["Administration - User data"],"summary":"Create user","description":"Create a Converis user with roles. An email will be sent to the INTERNAL users with the autogenerated password.\n","requestBody":{"description":"A user to be created","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"},"example":{"userName":"first.last","firstName":"First","lastName":"Last","email":"first.last@example-university.edu","firstLogin":true,"preferredLanguage":"en_GB","active":true,"acceptedTC":false,"userType":"INTERNAL","roles":[{"roleName":"Researcher","entryPointId":123124324}]}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users","status":201,"statusDescription":"Created","message":"User first.last successfully created."}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/admin/users/{username}":{"get":{"tags":["Administration - User data"],"summary":"Get information of a specific user","description":"Get information of a specific user by ___username___\n","parameters":[{"name":"username","in":"path","description":"the username which is used to login in Converis","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]},"put":{"tags":["Administration - User data"],"summary":"Update user","description":"Update a specific user by ___username___. If roles are not provided in request body, then they remain unchanged, otherwise they will be overwritten.\nPlease note that username can't be changed and is not allowed in request body\n","parameters":[{"name":"username","in":"path","description":"the username which is used to login in Converis","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"description":"A user to be updated. If roles are not provided in request body, then they remain unchanged, otherwise they will be overwritten.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"},"example":{"firstName":"First","lastName":"Last","email":"first.last@example-university.edu","firstLogin":true,"preferredLanguage":"en_GB","active":true,"acceptedTC":false,"userType":"INTERNAL","roles":[{"roleName":"Researcher","entryPointId":123124324}]}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/first.last","status":200,"statusDescription":"Ok","message":"User first.last successfully updated."}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]},"delete":{"tags":["Administration - User data"],"summary":"Delete user","description":"Delete a specific user and its roles by ___username___.\n","parameters":[{"name":"username","in":"path","description":"The username that is used to login in Converis. A user can be internal or external user, i.e. logged in through SSO, e.g. Shibboleth","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"},"example":{"timestamp":"2017-07-21T17:32:28Z","path":"/converis-apis/ws/v2/admin/users/first.last","status":200,"statusDescription":"Ok","message":"User first.last successfully deleted."}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/config/entities":{"get":{"tags":["Configuration - Entity definitions"],"summary":"Get definition of all entities","description":"Get definition of all entities. Additionally, you can\n\n  * specify language of labels through the query parameter ___language___\n  * include (excluded by default) linkentity reference API path through HTTP header ___Converis-linkentity-references___. The information about link entities can be requested through the responded paths.\n  * include (excluded by default) all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n","parameters":[{"name":"startRecord","in":"query","description":"Starting record.","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"Number of records to return.","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"language","in":"query","description":"Return only labels or data for specific language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-linkentity-references","in":"header","description":"Set true if link entity references (href) should be returned.","required":false,"style":"simple","explode":false,"schema":{"type":"boolean","default":false}},{"name":"Converis-attribute-definition","in":"header","description":"Choose ALL to display all attributes","required":false,"style":"simple","explode":false,"schema":{"type":"string","default":"NONE","enum":["NONE","ALL"]}}],"responses":{"200":{"description":"Successfull response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityDefinitionList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/config/entities/{type}":{"get":{"tags":["Configuration - Entity definitions"],"summary":"Get definition of an entity","description":"Get definition of an entities by ___type___ name. Additionally, you can\n\n  * specify language of labels through the query parameter ___language___\n  * include (excluded by default) linkentity reference API path through HTTP header ___Converis-linkentity-references___. The information about link entities can be requested through the responded paths.\n  * include (excluded by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n","parameters":[{"name":"type","in":"path","description":"entity type name","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"language","in":"query","description":"Return only labels or data for specific language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Converis-linkentity-references","in":"header","description":"Set true if link entity references (href) should be returned.","required":false,"style":"simple","explode":false,"schema":{"type":"boolean","example":false,"default":false}},{"name":"Converis-attribute-definition","in":"header","description":"Choose ALL to display all attributes","required":false,"style":"simple","explode":false,"schema":{"type":"string","default":"NONE","enum":["NONE","ALL"]}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EntityDefinition"}}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/config/linkentities":{"get":{"tags":["Configuration - Link entity definitions"],"summary":"Get definition of all entities","description":"Get definition of all link entities. Additionally, you can\n\n  * specify language of labels through the query parameter ___language___\n  * include (excluded by default) all attributes definitions of the link entity through HTTP Header ___Converis-attribute-definition___\n","parameters":[{"name":"startRecord","in":"query","description":"Starting record.","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"Number of records to return.","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"language","in":"query","description":"Return only labels or data for specific language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"Choose ALL to display all attributes","required":false,"style":"simple","explode":false,"schema":{"type":"string","default":"NONE","enum":["NONE","ALL"]}}],"responses":{"200":{"description":"Successfull response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkEntityDefinitionList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/config/linkentities/{link_type}":{"get":{"tags":["Configuration - Link entity definitions"],"summary":"Get  definition of a link entity","description":"Get definition of a link entity by ___link_type___ name. Additionally, you can\n\n  * specify language of labels through the query parameter ___language___\n  * include (excluded by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n","parameters":[{"name":"link_type","in":"path","description":"link entity type name","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"language","in":"query","description":"Return only labels or data for specific language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Converis-attribute-definition","in":"header","description":"Choose ALL to display all attributes","required":false,"style":"simple","explode":false,"schema":{"type":"string","default":"NONE","enum":["NONE","ALL"]}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkEntityDefinition"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/entities/{type}":{"get":{"tags":["Data - Entity"],"summary":"Get all data of an entity","description":"Get all data of an entity by ___type___ name. Additionally, you can\n\n  * specify language of attribute values through the query parameter ___language___\n  * include (excluded by default) linkentity reference API path through HTTP header ___Converis-linkentity-references___. The information about link entities can be requested through the responded paths.\n  * include (only basic attributes by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n\nThis endpoint doesn't require authentication for public data\n","parameters":[{"name":"type","in":"path","description":"the entity type name","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"Publication"}},{"name":"startRecord","in":"query","description":"Starting record.","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"maximum number of records to return","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"sort","in":"query","description":"Sort by attributes of the entity. __Currently only BASIC attributes are supported__.","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"Updated on"}},{"name":"sortOrder","in":"query","description":"Sort order:\n * ___ASC___ - Ascending, from A to Z\n * ___DESC___ - Descending, from Z to A\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"default":"BASIC","example":"publYear,srcAuthors","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}},{"name":"Converis-linkentity-references","in":"header","description":"Set true if link entity references (href) should be returned.","required":false,"style":"simple","explode":false,"schema":{"type":"boolean","example":false,"default":false}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityDataList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/entities/{type}/query":{"post":{"tags":["Data - Entity"],"summary":"Get all data of an entity filtered by query.","description":"Get all data of an entity by ___type___ name and query. Additionally, you can\n\n  * specify language of attribute values through the query parameter ___language___\n  * include (excluded by default) linkentity reference API path through HTTP header ___Converis-linkentity-references___. The information about link entities can be requested through the responded paths.\n  * include (only basic attributes by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n\nThis endpoint requires authentication\n","parameters":[{"name":"type","in":"path","description":"the entity type name","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"Publication"}},{"name":"startRecord","in":"query","description":"Starting record.","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"maximum number of records to return","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"sort","in":"query","description":"Sort by attributes of the entity. __Currently only BASIC attributes are supported__.","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"Updated on"}},{"name":"sortOrder","in":"query","description":"Sort order:\n * ___ASC___ - Ascending, from A to Z\n * ___DESC___ - Descending, from Z to A\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"default":"BASIC","example":"publYear,srcAuthors","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}},{"name":"Converis-linkentity-references","in":"header","description":"Set true if link entity references (href) should be returned.","required":false,"style":"simple","explode":false,"schema":{"type":"boolean","example":false,"default":false}}],"requestBody":{"description":"Content of the filter query.","required":true,"content":{"application/vnd.converis.ql+plain; charset=utf-8":{"schema":{"type":"string","example":"-- POST /converis-apis/data/entities/Publication/query\n-- we assume that Publication has an attribute named openAccess of type BOOLEAN\nopenAccess = true AND [publication type] = \"Journal Article\"\n"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityDataList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/entities/{type}/{id}":{"get":{"tags":["Data - Entity"],"summary":"Get an entity data object","description":"\nGet one entity object by ___type___ name and by ___id___. Additionally, you can\n\n  * specify language of attribute values through the query parameter ___language___\n  * include (excluded by default) linkentity reference API path through HTTP header ___Converis-linkentity-references___. The information about link entities can be requested through the responded paths.\n  * include (only basic attributes by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___.\n\nThis endpoint doesn't require authentication for public data.\n","parameters":[{"name":"type","in":"path","description":"entity type name","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"Publication"}},{"name":"id","in":"path","description":"entry id","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"example":"publYear,srcAuthors","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}},{"name":"Converis-linkentity-references","in":"header","description":"Set true if link entity references (href) should be returned.","required":false,"style":"simple","explode":false,"schema":{"type":"boolean","example":false,"default":false}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityData"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/entities/{type}/linked/{link_type}/{id}":{"get":{"tags":["Data - Entity"],"summary":"Get the linked data entity entries","description":"Get data entity entries of __type__ name that are linked to  ___link_type___ filtered by ___id___. Additionally, you can\n\n  * specify language of attribute values through the query parameter ___language___\n  * include (excluded by default) linkentity reference API path through HTTP header ___Converis-linkentity-references___. The information about link entities can be requested through the responded paths.\n  * include (only basic attributes by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n\nPlease note that this endpoint returns the entity data. For link entity data use _/data/linkentities/{link_type}/linked/{type}/{id}_\n\n\nExamples\n***\n\nGet the publications which are linked to the Journal 123\n```\n$curl https://converis.myuniversity.com/converis-apis/ws/v2/data/entities/Publication/linked/PUBL_has_JOUR/123\n```\n","parameters":[{"name":"type","in":"path","description":"Type of the target entity","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"Publication"}},{"name":"link_type","in":"path","description":"linkType represents the link path that helps in getting the target type. The path could be either direct link with or without direction.\n\nPUBL_has_JOUR - Direct link without direction\n\nPUBL_has_PUBL - Direct link with same entity on both sides. `direction` necessary","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"PUBL_has_JOUR"}},{"name":"id","in":"path","description":"The id of the source entity whose linked item has to be returned. The type of source is determined from the type of linked object to be returned","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}},{"name":"direction","in":"query","description":"Explaination:\n * ___DIRECT___ - Direct link, i.e. the direction is clear because link entity includes two different entity types\n * ___L2R___ - Direct link with same entity on both sides with direction of traversal Left-2-Right\n * ___R2L___ - Direct link with same entity on both sides with direction of traversal Right-2-Left\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"DIRECT","enum":["DIRECT","L2R","R2L"]}},{"name":"startRecord","in":"query","description":"record to start for pagination","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"maximum number of records to return","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"sort","in":"query","description":"Sort by attributes of the entity. __Currently only BASIC attributes are supported__.","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"The sequence id of the entity as it is shown by Browse or Edit page"}},{"name":"sortOrder","in":"query","description":"Sort order:\n * ___ASC___ - Ascending, from A to Z\n * ___DESC___ - Descending, from Z to A\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"example":"publYear,srcAuthors","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}},{"name":"Converis-linkentity-references","in":"header","description":"Set true if link entity references (href) should be returned.","required":false,"style":"simple","explode":false,"schema":{"type":"boolean","example":false,"default":false}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityDataList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/linkentities/{link_type}":{"get":{"tags":["Data - Link entity"],"summary":"Get all entries of a link entity type filtered by query","description":"Get all data of a link entity by ___link_type___ name. Additionally, you can\n\n  * specify language of attribute values through the query parameter ___language___\n  * include (only basic attributes by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n","parameters":[{"name":"link_type","in":"path","description":"the entity type name","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"Publication"}},{"name":"startRecord","in":"query","description":"record to start for pagination","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"maximum number of records to return","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"sort","in":"query","description":"Sort by attributes of the link entity. __Currently only BASIC attributes are supported__.","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"Updated on"}},{"name":"sortOrder","in":"query","description":"Sort order:\n * ___ASC___ - Ascending, from A to Z\n * ___DESC___ - Descending, from Z to A\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"example":"exportedToOrcid,Validation status","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkEntityDataList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/linkentities/{link_type}/query":{"post":{"tags":["Data - Link entity"],"summary":"Get all entries of a link entity type","description":"Get all data of a link entity by ___link_type___ name. Additionally, you can\n\n  * specify language of attribute values through the query parameter ___language___\n  * include (only basic attributes by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n","parameters":[{"name":"link_type","in":"path","description":"the entity type name","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"Publication"}},{"name":"startRecord","in":"query","description":"record to start for pagination","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"maximum number of records to return","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"sort","in":"query","description":"Sort by attributes of the link entity. __Currently only BASIC attributes are supported__.","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"Updated on"}},{"name":"sortOrder","in":"query","description":"Sort order:\n * ___ASC___ - Ascending, from A to Z\n * ___DESC___ - Descending, from Z to A\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"example":"exportedToOrcid,Validation status","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}}],"requestBody":{"description":"Content of the filter query.","required":true,"content":{"application/vnd.converis.ql+plain; charset=utf-8":{"schema":{"type":"string","example":"-- POST /converis-apis/data/linkentitites/PUBL_has_CARD/query\nrole = \"aut\" AND [Left sequence] = 1\n"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkEntityDataList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/linkentities/{link_type}/{id}":{"get":{"tags":["Data - Link entity"],"summary":"Get a link entity data object","description":"\nGet one link entity data object by ___link_type___ name and by ___id___. Additionally, you can\n\n  * specify language of attribute values through the query parameter ___language___\n  * include (only basic attributes by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___.\n\nThis endpoint doesn't require authentication for public data.\n","operationId":"getEntityByName","parameters":[{"name":"link_type","in":"path","description":"link entity type name","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"PUBL_has_JOUR"}},{"name":"id","in":"path","description":"link entity entry id","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"example":"publYear,srcAuthors","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkEntityData"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/linkentities/{link_type}/linked/{type}/{id}":{"get":{"tags":["Data - Link entity"],"summary":"Get the link entity data entries (Coming soon)","description":"Get link entity data entries of __link_type__ name that are linked to  ___type___ filtered by ___id___. Additionally, you can\n\n  * specify language of attribute values through the query parameter ___language___\n  * include (only basic attributes by default) specific or all attributes definitions of the entity through HTTP Header ___Converis-attribute-definition___\n\nPlease note that this endpoint returns the link entity data. For entity data use _/data/entities/{type}/linked/{linkedType}/{id}_ \nExamples\n***\n\nGet the the links of PUBL_has_JOUR which are linked to the Journal 123\n```\n$curl https://converis.myuniversity.com/converis-apis/ws/v2/data/linkentities/PUBL_has_JOUR/linked/Journal/123\n```\n","parameters":[{"name":"type","in":"path","description":"Type represents the entity that helps finding link types","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"Publication"}},{"name":"link_type","in":"path","description":"This type could be either direct link with or without direction.\n\nPUBL_has_JOUR - Direct link without direction\n\nPUBL_has_PUBL - Direct link with same entity on both sides. `direction` necessary","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"PUBL_has_JOUR"}},{"name":"id","in":"path","description":"The id of the source entity whose linked item has to be returned. The type of source is determined from the type of linked object to be returned","required":true,"style":"simple","explode":false,"schema":{"type":"integer","format":"int64"}},{"name":"direction","in":"query","description":"Explaination:\n * ___DIRECT___ - Direct link, i.e. the direction is clear because link entity includes two different entity types\n * ___L2R___ - Direct link with same entity on both sides with direction of traversal Left-2-Right\n * ___R2L___ - Direct link with same entity on both sides with direction of traversal Right-2-Left\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"DIRECT","enum":["DIRECT","L2R","R2L"]}},{"name":"startRecord","in":"query","description":"record to start for pagination","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"maximum number of records to return","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"sort","in":"query","description":"Sort by attributes of the link entity. __Currently only BASIC attributes are supported__.","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"The sequence id of the entity as it is shown by Browse or Edit page"}},{"name":"sortOrder","in":"query","description":"Sort order:\n * ___ASC___ - Ascending, from A to Z\n * ___DESC___ - Descending, from Z to A\n","required":false,"style":"form","explode":true,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"example":"publYear,srcAuthors","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkEntityDataList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/file/{file_type}/{id}/download":{"get":{"tags":["Data - File"],"summary":"Download the given file","description":"Get or download the content of a file. If no revision is given, the last on will be choose. The content-type and content-length will be returned in the response header. The default content-type is application/octet-stream.\n","parameters":[{"name":"file_type","in":"path","description":"DataentityType of the file object to be downloaded. The DataEntityType must have a \"Dms Id\"- attribute.","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"VersionedFile"}},{"name":"id","in":"path","description":"Dataentity id of the File entitytype.","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"ver","in":"query","description":"File version number to download. If not specify, the latest version is choosen.","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"Converis-content-encoding","in":"header","description":"Encode the returned content. The content is not encoded by default.","required":false,"style":"simple","explode":false,"schema":{"type":"string","default":"PLAIN","enum":["PLAIN","BASE64"]}}],"responses":{"200":{"description":"Successful response","content":{"application/octet-stream":{"schema":{}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/tree/{link_type}/root":{"get":{"tags":["Data - Tree"],"summary":"Get the root object from the tree structure of the given link entity type","description":"\nGet the root node of the Given link entity type\n","parameters":[{"name":"link_type","in":"path","description":"Name of the link entity type","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"ORGA_has_child_ORGA"}},{"name":"language","in":"query","description":"Return only labels or attribute data of specific configured language. Display all configured languages if null, eg. en_GB","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"en_GB"}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"example":"cfName,email","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}},{"name":"Converis-linkentity-references","in":"header","description":"Set true if link entity references (href) should be returned","required":false,"style":"simple","explode":false,"schema":{"type":"boolean","example":false,"default":false}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityData"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}},"/data/tree/{link_type}/{start_node}":{"get":{"tags":["Data - Tree"],"summary":"Get tree information by traversing it","description":"\nGet tree nodes for a given Data Entity type starting from the \ngiven start node and a traverse path.\n\nIn case of ___traverse=ANCESTORS___ the order of returned entity objects represents the path to the root node, i.e. the first entry in the response represents __start_node__ itself, the second entry is then the parent of parent of __start_node__ etc. \n","parameters":[{"name":"link_type","in":"path","description":"Name of the link entity type","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"ORGA_has_child_ORGA"}},{"name":"start_node","in":"path","description":"The id of data object and the starting node by traversing the tree","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"traverse","in":"query","description":"Traverse method which determines the level of data to be returned\n* __ANCESTORS__ Path to root, starting from start_node\n* __SIBLINGS__  Siblings,\n* __CHILDREN__  Immediate Children,","required":true,"explode":false,"schema":{"type":"string","default":"SIBLINGS","enum":["ANCESTORS","SIBLINGS","CHILDREN"]}},{"name":"startRecord","in":"query","description":"record to start for pagination","required":false,"style":"form","explode":true,"schema":{"minimum":1,"type":"integer","format":"int32","default":1}},{"name":"count","in":"query","description":"maximum number of records to return","required":false,"style":"form","explode":true,"schema":{"maximum":50,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"Converis-attribute-definition","in":"header","description":"The CSV list of attributes to be returned. Possible values BASIC, ALL, csv list of attributes comma separated\n\nBASIC includes\n  * Created by\n  * Created on\n  * Updated by\n  * Updated on\n  * Status\n  * Short description\n  * Public visible\n  * Left sequence (only for link entitites)\n  * Right sequence (only for link entities)\n","required":false,"style":"simple","explode":false,"schema":{"example":"publYear,srcAuthors","oneOf":[{"type":"string","default":"BASIC","enum":["BASIC","ALL"]},{"type":"string","example":"publYear, srcAuthors"}]}},{"name":"Converis-linkentity-references","in":"header","description":"Set true if link entity references (href) should be returned.","required":false,"style":"simple","explode":false,"schema":{"type":"boolean","example":false,"default":false}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityDataList"}}}},"default":{"description":"Error response 400+","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultResponse"}}}}},"security":[{"BasicAuth":[]}]}}},"components":{"schemas":{"DefaultResponse":{"required":["statusDescirption","message","path","status","timestamp"],"type":"object","properties":{"timestamp":{"type":"string","description":"The date-time notation as defined by RFC 3339, section 5.6, e.g. \"2017-07-21T17:32:28Z\"","format":"date-time"},"path":{"type":"string","description":"The path which is used by user, e.g./converis-apis/ws/v2/data/entities/Publication","format":"uri"},"status":{"type":"integer","description":"HTTP Status code,e.g. 400+","example":400},"statusDescription":{"type":"string","description":"Description of HTTP Status code, e.g. Bad Request","example":"Bad Request"},"message":{"type":"string","description":"The detailed description of the error"}}},"UserDelegation":{"type":"object","properties":{"delegationId":{"type":"integer","example":1234,"format":"int64","description":"id of the delegation.\n\nTo be passed in the request only for edit and delete delegation.\n\nReturned in the response for fetch API.\n"},"fromUser":{"$ref":"#/components/schemas/User"},"toUser":{"$ref":"#/components/schemas/User"},"role":{"$ref":"#/components/schemas/UserRole"},"validity":{"$ref":"#/components/schemas/UserDelegationValidity"}}},"UserDelegationValidity":{"type":"object","properties":{"startDate":{"type":"string","example":"2022-12-10","description":"The date when the role delegation starts. Values must follow the pattern yyyy-MM-dd.\n\nIf this date is not provided, it is defaulted to current date.\n\nIn case of update API, if there is no change in the start date, it is expected to send the existing unchanged value of the start date.\n","format":"date"},"endDate":{"type":"string","example":"2022-12-14","description":"The date when the role delegation ends. Values must follow the pattern yyyy-MM-dd.\n\nIn case of update API, if there is no change in the end date, it is expected to send the existing unchanged value of the end date.\n","format":"date"}}},"UserDelegationList":{"required":["count","data","nrRecordsAll","nrRecordsFound","startRecord"],"type":"object","properties":{"startRecord":{"type":"integer","example":1,"description":"The offset number from where the delegation record count begins."},"count":{"type":"integer","example":50,"description":"The max number of records to be returned"},"nrRecordsAll":{"type":"integer","example":1540,"description":"Total delegations in the system"},"nrRecordsFound":{"type":"integer","example":50,"description":"Total number of delegations returned for that request."},"data":{"type":"array","items":{"$ref":"#/components/schemas/UserDelegation"}}}},"UserRole":{"properties":{"roleName":{"type":"string","description":"Converis user role - Please carefully check your Converis configuration. Do not provide names of the specific language. Special role names for admins can be used: Config Admin or Super Admin. For special roles no entryPointId is needed.","example":"Researcher"},"entryPointId":{"type":"integer","format":"int64","description":"User entry point","example":123456},"entryPointDataUrl":{"type":"string","description":"The entrypoint data url - only by GET Request","example":"/converis-apis/ws/v2/data/entities/Person/123456"},"entryPointDefinitionUrl":{"type":"string","description":"Entry point definition url - only by GET Request","example":"/converis-apis/ws/v2/config/entities/Person"}}},"UserList":{"required":["count","data","nrRecordsAll","nrRecordsFound","startRecord"],"type":"object","properties":{"startRecord":{"type":"integer","example":1,"description":"only for GET response"},"count":{"type":"integer","example":50,"description":"only for GET response"},"nrRecordsAll":{"type":"integer","example":1540,"description":"only for GET response"},"nrRecordsFound":{"type":"integer","example":50,"description":"only for GET response"},"data":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}},"User":{"type":"object","properties":{"userName":{"type":"string","maxLength":255,"example":"loginname","description":"It is required only for POST create user."},"firstName":{"type":"string","maxLength":255,"example":"First"},"lastName":{"type":"string","maxLength":255,"example":"last"},"email":{"type":"string","format":"email","example":"first.last@converis.clarivate.com","description":"For internal users, a notification with password will be sent to the email."},"firstLogin":{"type":"boolean","example":true},"preferredLanguage":{"type":"string","example":"en_GB"},"active":{"type":"boolean","example":true},"acceptedTC":{"type":"boolean","example":true},"userType":{"type":"string","enum":["INTERNAL","EXTERNAL"],"example":"INTERNAL","description":"INTERNAL users are the users which directly login in Converis. External users are the users that login through SSO, e.g. Shibboleth"},"lastLogin":{"type":"string","description":"The date-time notation as defined by RFC 3339, section 5.6, e.g. \"2017-07-21T17:32:28\"","format":"date-time"},"roles":{"type":"array","items":{"$ref":"#/components/schemas/UserRole"}}}},"LabelDefinition":{"required":["language","value"],"type":"object","properties":{"language":{"type":"string","description":"The system language abbreviation","example":"en_US"},"value":{"type":"string","description":"The value of the label","example":"Publication"}}},"LinkReference":{"required":["rel","href"],"type":"object","properties":{"rel":{"type":"string","description":"Describes the type of relationship.","example":"Publication"},"href":{"type":"string","description":"is the complete endpoint path that uniquely defines the resource.","example":"/converis-apis/ws/v2/data/Publication/linked/PUBL_has_JOUR/1234"}}},"EntityDefinition":{"required":["description","dynamicTypeSelector","id","isVersionableFile","linkEntityReferences","name","plural","singular","workflowSteps"],"type":"object","properties":{"id":{"type":"integer","format":"int64","example":1231421421},"name":{"type":"string","example":"Publication"},"isVersionableFile":{"type":"boolean","example":true},"description":{"type":"string"},"maximumStatusStep":{"type":"integer","example":4},"dynamicTypeSelector":{"type":"string","example":"Publication Type"},"singular":{"type":"array","example":[{"language":"en_US","value":"Publication"},{"language":"de_DE","value":"Publikation"}],"items":{"$ref":"#/components/schemas/LabelDefinition"}},"plural":{"type":"array","example":[{"language":"en_US","value":"Publications"},{"language":"de_DE","value":"Publikationen"}],"items":{"$ref":"#/components/schemas/LabelDefinition"}},"workflowSteps":{"type":"array","items":{"$ref":"#/components/schemas/WorkflowStep"}},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/AttributeDefinition"}},"links":{"type":"array","example":[{"rel":"PUBL_has_CARD","href":"/converis-api/ws/v2/config/linkentities/PUBL_has_CARD"},{"rel":"PUBL_has_ORGA","href":"/converis-api/ws/v2/config/linkentities/PUBL_has_ORGA"}],"items":{"$ref":"#/components/schemas/LinkReference"}}}},"EntityDefinitionList":{"required":["count","data","nrRecordsAll","nrRecordsFound","startRecord"],"type":"object","properties":{"startRecord":{"type":"integer","example":1},"count":{"type":"integer","example":50},"nrRecordsAll":{"type":"integer","example":1540},"nrRecordsFound":{"type":"integer","example":50},"data":{"type":"array","items":{"$ref":"#/components/schemas/EntityDefinition"}}}},"LinkEntityDefinition":{"required":["attributes","description","id","isTree","leftDefinitionUrl","name","rightDefinitionUrl"],"type":"object","properties":{"id":{"type":"integer","format":"int64","example":1231421421},"name":{"type":"string","example":"PUBL_has_CARD"},"isTree":{"type":"boolean","example":false},"description":{"type":"string"},"leftDefinitionUrl":{"type":"string","example":"/converis-apis/ws/v2/config/entities/Publication"},"rightDefinitionUrl":{"type":"string","example":"/converis-apis/ws/v2/config/entities/Card"},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/AttributeDefinition"}}}},"LinkEntityDefinitionList":{"required":["count","data","nrRecordsAll","nrRecordsFound","startRecord"],"type":"object","properties":{"startRecord":{"type":"integer","example":0},"count":{"type":"integer","example":50},"nrRecordsAll":{"type":"integer","example":1540},"nrRecordsFound":{"type":"integer","example":50},"data":{"type":"array","items":{"$ref":"#/components/schemas/LinkEntityDefinition"}}}},"AttributeDefinition":{"required":["name"],"type":"object","properties":{"id":{"type":"integer","format":"int64","example":16287},"name":{"type":"string","example":"acceptanceDate"},"dataInput":{"$ref":"#/components/schemas/AttributeInputDefinition"},"multilanguage":{"type":"boolean","example":false},"description":{"type":"string","example":"The date when the author received notice that the submitted proposal got accepted and following that he can submit a paper\n"},"labels":{"type":"array","example":[{"language":"en_US","value":"Acceptance date"},{"language":"de_DE","value":"Datum"}],"items":{"$ref":"#/components/schemas/LabelDefinition"}},"mandatory":{"type":"boolean","example":false},"allowPublicSearch":{"type":"boolean","example":true},"internallySearcheable":{"type":"boolean","example":true},"includeInPageExport":{"type":"boolean","example":true}}},"WorkflowStep":{"required":["label","stepNr"],"properties":{"stepNr":{"type":"integer","example":2},"label":{"type":"array","example":[{"language":"en_GB","value":"Validated"},{"language":"de_DE","value":"Validiert"}],"items":{"$ref":"#/components/schemas/LabelDefinition"}}}},"AttributeInputDefinition":{"properties":{"dataType":{"type":"string","example":"DATE"},"renderingTypeHint":{"type":"string","example":"Datepicker"},"inputPattern":{"type":"string","example":"Date"},"defaultExpression":{"type":"string","example":"01-05-2019"}}},"EntityDataList":{"required":["count","nrRecordsAll","nrRecordsFound","startRecord"],"type":"object","properties":{"startRecord":{"type":"integer","example":1},"count":{"type":"integer","example":50},"nrRecordsAll":{"type":"integer","example":1540},"nrRecordsFound":{"type":"integer","example":50},"data":{"type":"array","items":{"$ref":"#/components/schemas/EntityData"}}}},"LinkEntityDataList":{"required":["count","nrRecordsAll","nrRecordsFound","startRecord"],"type":"object","properties":{"startRecord":{"type":"integer","example":1},"count":{"type":"integer","example":50},"nrRecordsAll":{"type":"integer","example":1540},"nrRecordsFound":{"type":"integer","example":50},"data":{"type":"array","items":{"$ref":"#/components/schemas/LinkEntityData"}}}},"EntityData":{"required":["createdBy","createdOn","entityName","id","intern","public","shortDescription","status","updatedBy","updatedOn"],"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Converis ID of the data entity","example":56893426},"entityName":{"type":"string","description":"Entity name of this data","example":"Publication"},"status":{"type":"integer","description":"Status of the given data","example":3},"statusLabels":{"type":"array","description":"list of short descriptions in different languages","example":[{"language":"en_GB","value":"Validated"},{"language":"de_DE","value":"Validiert"}],"items":{"$ref":"#/components/schemas/LabelDefinition"}},"public":{"type":"boolean","description":"Is the data visible for public","example":true},"intern":{"type":"boolean","description":"Is the data visible for intern","example":true},"createdBy":{"type":"string","description":"User who created this data","example":"configadmin"},"createdOn":{"type":"string","description":"Creation date of this data","format":"date-time"},"updatedBy":{"type":"string","description":"User who last updated this data","example":"configadmin"},"updatedOn":{"type":"string","description":"Last updation date of this data","format":"date-time"},"shortDescription":{"type":"array","description":"list of short descriptions in different languages","example":[{"language":"en_GB","value":"Some short description"}],"items":{"$ref":"#/components/schemas/LabelDefinition"}},"attributes":{"type":"array","description":"list of attributes data for this entity data","items":{"$ref":"#/components/schemas/AttributeData"}},"links":{"type":"array","example":[{"rel":"Card","href":"/converis-api/ws/v2/data/entities/Card/linked/PUBL_has_CARD/56893426"},{"rel":"Organisation","href":"/converis-api/ws/v2/data/entities/Card/linked/PUBL_has_ORGA/56893426"},{"rel":"Publication","href":"/converis-api/ws/v2/data/entities/Publication/linked/PUBL_has_PUBL/56893426?directon=r2l"},{"rel":"Publication","href":"/converis-api/ws/v2/data/entities/Publication/linked/PUBL_has_PUBL/56893426?directon=l2r"}],"items":{"$ref":"#/components/schemas/LinkReference"}}}},"LinkEntityData":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Converis ID of the link entity","example":66893426},"linkName":{"type":"string","description":"Link Entity name of this data","example":"PUBL_has_CARD"},"leftEntity":{"$ref":"#/components/schemas/BasicData"},"rightEntity":{"$ref":"#/components/schemas/BasicData"},"leftSeq":{"type":"integer","description":"The left sequence of this linked data","example":1},"rightSeq":{"type":"integer","description":"The right sequence of this linked data","example":2},"createdBy":{"type":"string","description":"User who created this linked data","example":"configadmin"},"createdOn":{"type":"string","description":"Creation date of this linked data","format":"date-time"},"updatedBy":{"type":"string","description":"User who last updated this linked data","example":"configadmin"},"updatedOn":{"type":"string","description":"Last updation date of this linked data","format":"date-time"},"attributes":{"type":"array","description":"list of attributes data for this entity data","items":{"$ref":"#/components/schemas/AttributeData"}}}},"BasicData":{"required":["data","entityName","id"],"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Converis ID of the data entity","example":56893426},"entityName":{"type":"string","description":"Entity name of this data","example":"Publication"},"status":{"type":"integer","description":"Status of the given data","example":3},"data":{"type":"object","$ref":"#/components/schemas/LinkReference","example":[{"rel":"Publication"},{"href":"/converis-apis/ws/v2/data/entities/Publication/12345"}]},"shortDescription":{"type":"array","description":"list of short descriptions in different languages","example":[{"language":"en_GB","value":"Some short description"}],"items":{"$ref":"#/components/schemas/LabelDefinition"}}}},"AttributeData":{"required":["attributeName","attributeType","value"],"type":"object","properties":{"attributeName":{"type":"string","description":"Attribute name","example":"cfTitle"},"attributeType":{"type":"string","description":"Data type of the Attribute","example":"STRING","enum":["STRING","TEXT","CGV","NUMBER","DATE","BOOLEAN"]},"language":{"type":"string","description":"language code of this attribute. Empty if not translatable","example":"en_GB"},"value":{"type":"string","description":"The value of the attribute data","example":"An example Publication title"},"choiceGroupData":{"$ref":"#/components/schemas/ChoiceGroupData"}}},"ChoiceGroupData":{"type":"object","properties":{"choiceGroupName":{"type":"string","description":"If the attribute is of type ChoiceGroup, then this should be filled.","example":"Publication type"},"choiceGroupValue":{"type":"string","description":"default value","example":"Journal article"},"choiceGroupValueLabels":{"type":"array","example":[{"language":"de_DE","value":"Zeitschrift"}],"items":{"$ref":"#/components/schemas/LabelDefinition"}}}}},"securitySchemes":{"BasicAuth":{"type":"http","description":"The authentication information has to be provided by the client application as Basic authentication header. This can be configured by an admin in Converis under Configuration -> API Authentication Info.","scheme":"basic"}}}}